Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneDivider.DividerLayout

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicSplitPaneDivider.DividerLayout

protected class BasicSplitPaneDivider.DividerLayout
extends java.lang.Object
implements java.awt.LayoutManager

Used to layout a BasicSplitPaneDivider. Layout for the divider involves appropraitely moving the left/right buttons around.

Constructor Summary
`protected` | `BasicSplitPaneDivider.DividerLayout()`

Method Summary
`void` | `addLayoutComponent(java.lang.String string, java.awt.Component c)`
`void` | `layoutContainer(java.awt.Container c)`
`java.awt.Dimension` | `minimumLayoutSize(java.awt.Container c)`
`java.awt.Dimension` | `preferredLayoutSize(java.awt.Container c)`
`void` | `removeLayoutComponent(java.awt.Component c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneDivider.DividerLayout

    protected BasicSplitPaneDivider.DividerLayout()

Method Detail

### layoutContainer

    public void layoutContainer(java.awt.Container c)

  Specified by:
    layoutContainer in interface java.awt.LayoutManager

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container c)

  Specified by:
    minimumLayoutSize in interface java.awt.LayoutManager

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container c)

  Specified by:
    preferredLayoutSize in interface java.awt.LayoutManager

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component c)

  Specified by:
    removeLayoutComponent in interface java.awt.LayoutManager

### addLayoutComponent

    public void addLayoutComponent(java.lang.String string,
                                   java.awt.Component c)

  Specified by:
    addLayoutComponent in interface java.awt.LayoutManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.